Add 'word' to this spell-checking session

- « enchant_dict_add_to_personal

- enchant_dict_add »

- PHP Manual
- Enchant Functions
- Add 'word' to this spell-checking session

# enchant_dict_add_to_session

(PHP 5 >= 5.3.0, PHP 7, PHP 8, PECL enchant >= 0.1.0 )

enchant_dict_add_to_session — Add 'word' to this spell-checking session

### Description

enchant_dict_add_to_session(EnchantDictionary `$dictionary`, string `$word`): void

Add a word to the given dictionary. It will be added only for the active spell-checking session.

### Parameters

`dictionary`

  An Enchant dictionary returned by enchant_broker_request_dict() or enchant_broker_request_pwl_dict().

`word`

  The word to add

### Return Values

No value is returned.

### Changelog

Version | Description
--- | ---
8.0.0 | `dictionary` expects an EnchantDictionary instance now; previoulsy, a resource was expected.

### See Also

- enchant_broker_request_dict() - Create a new dictionary using a tag